Package org.bukkit.event.entity

# Class EntityPoseChangeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityPoseChangeEvent

public class EntityPoseChangeEvent extends EntityEvent
Called when an entity changes its pose.

See Also:
  - `Entity.getPose()`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityPoseChangeEvent(@NotNull Entity who, @NotNull Pose pose)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Pose`
`getPose()`
Gets the entity's new pose.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityPoseChangeEvent

public EntityPoseChangeEvent(@NotNull @NotNull Entity who, @NotNull @NotNull Pose pose)

## Method Details

### getPose

@NotNull public @NotNull Pose getPose()
Gets the entity's new pose.

Returns:
  the new pose

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()